/*
 Theme Name:   Wirtschaftsgilde
 Description:  Wirtschaftsgilde Theme
 Author:       WSB Werbeagentur
 Author URI:   https://wsb-werbeagentur.de/
 Template:     hello-elementor
 Version:      1.0
 Text Domain:  hello-elementor-child
*/
/*----- FONTS -----*/
/* suse-100 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 100;
  src: url('./fonts/suse-v2-latin-100.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-200 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 200;
  src: url('./fonts/suse-v2-latin-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 300;
  src: url('./fonts/suse-v2-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/suse-v2-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 500;
  src: url('./fonts/suse-v2-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 600;
  src: url('./fonts/suse-v2-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 700;
  src: url('./fonts/suse-v2-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* suse-800 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'SUSE';
  font-style: normal;
  font-weight: 800;
  src: url('./fonts/suse-v2-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/*----- FONTS END -----*/

/*----- Header -----*/
#search-background-blur {
	display: none;
	backdrop-filter: blur(10px);
	background-color: #0000004D;
}
#searchform-wrapper,
#nav-header {
	display: none;
	position: absolute;
	top: 4rem;
	@media (min-width: 1280px) {
		width: 1280px;
	}
	@media (max-width: 1279px) {
		width: calc(100% - 1rem );
	}
}
#nav-header {
	.elementor-widget-container {
		z-index: 10;
		width: 100%;
	}
	ul {
		padding-bottom: 2rem;
	}
	li {
		border-bottom: solid 1px #D3D3D3;
		&:hover {
			background: #E4E4E4;
		}
	}
	a {
		width: fit-content
	}
	a:hover {
		text-decoration: underline;
		&:after {
			content:'\276F';
			display: inline-block;
			padding-right: 10px;
			top: 12px;
			left: 100%;
		}
	}
}
.show {
	display: flex !important;
}
.suchformular {
	width: 100% !important;
}
#search-92743f3 {
	padding: 0 .5rem;
	min-height: 2rem;
}
#search-trigger,
.hamburg,
#close {
	cursor: pointer;
}
/*----- Footer -----*/
.menu-footer {
	ul {
		gap: 1rem;
	}
	a {
		padding: 0 !important;
	}
}
.footer-down-under a{
	color: #fff;
	&:hover {
		color: #fff;
		text-decoration: underline;
	}
}
/*----- Startseite -----*/
/* Karussel */
.elementor-element.elementor-element-6a9e8ff.elementor-arrows-position-inside.elementor-widget.elementor-widget-n-carousel.e-widget-swiper {
	height: 100%;
	.swiper {
		height: 100%;
	}
}
/* Themen Kacheln */
#themen-work:hover,
#themen-techno:hover,
#themen-nachhaltig:hover,
#themen-ethik:hover {
	background: #fff;
	p {
		color: #214653;
	}
	svg path {
		fill: #214653;
	}
}
#themen-klima:hover {
	background: #fff;
	p {
		color: #214653;
	}
	path:last-child {
		fill: #214653;
	}
}

/* Rückblicke */
.rueckblick .elementor-button-text:hover {
	text-decoration: underline;
} 
.rueckblick-text a {
	text-decoration: underline;
}
.rueckblick-grid .e-con-inner{
	grid-template-rows: 1fr 2fr !important;
}
/*----- Themen -----*/
#themen-details-work,
#themen-details-techno,
#themen-details-nachhaltig,
#themen-details-ethik {
	svg path {
		fill: #ffffff40;
	}
	&:hover {
		svg path {
			fill: #fff;
		}
		p {
			font-weight: 800;
		}
	}
}
#themen-details-klima {
	path:last-child {
		fill: #ffffff40;
	}
	&:hover {
		path:last-child {
			fill: #fff;
		}
		p {
			font-weight: 800;
		}
	}
}

/*----- Kontaktformular -----*/
.gform_wrapper {
	.gform_fields {
		row-gap: 30px !important;
	}
	select, 
	input, 
	textarea {
		border-radius: 4px !important;
	}
	hr {
		margin: 10px 0 20px 0;
		color: #fff6;
	}
	p {
		color: #fff;
	}
	.gform_button {
		background: #fff !important;
		color: #002634 !important;
		border-radius: 27px !important;
		font-weight: bold !important;
		font-size: 1.125rem !important;
	}
}

/*----- aktuelle Veranstaltungen -----*/

.va-ankerlink {
	color: #fff;
	font-size: 1.125rem;
	&:hover {
		color: #fff;
		text-decoration: underline;
		font-weight: 800;
	}
	@media ( max-width: 767px) {
		font-size: 1rem;
	}
}
.weitere-infos-acc summary{
	justify-content: space-between !important;
	padding: .938rem 0 !important;
}
.wsb-va-navigation {
	ul {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
		column-gap: 2.5rem;
		row-gap: 1rem;
	}
	li {
		color: #fff;
	}
	a {
		font-size: 1.125rem;
		font-weight: 800;
		text-decoration: underline;
		color: #fff;
		&:hover {
			text-decoration: none;
			color: #fff;
		} 
	} 
}
.veranstaltung-detail a:not(.elementor-button){
	color: #fff;
	text-decoration: underline;
}
/*----- Geschichte -----*/
.wsb-jahr-navigation {
	font-family: "SUSE";
	color: #fff;
	font-size: 1.438rem;
	a {
		color: #fff;
		text-decoration: underline;
		&:hover {
			color: #fff;
			font-weight: bold;
			text-decoration: none;
		}
	}
}
.wsb-geschichte-frontend {
	font-family: "SUSE";
	color: #fff;
}
.wsb-geschichte-frontend::after {
	background: #fff6;
}
.wsb-geschichte-jahr-wrapper::before {
	background: #fff6;
	left: 50%;
}
.wsb-geschichte-jahr {
	background: var( --e-global-color-primary );
}
.wsb-geschichte-item::after {
	background: #fff;
}
.wsb-geschichte-beschreibung-wrapper {
	background: #002634;
	border-radius: 10px;
	z-index: 9;
}
.wsb-geschichte-bild {
	img {
		height: 8rem;
		object-fit: cover;
		border-radius: 8px 8px 0 0;
	}
}
/*----- Datenschutz, Impressum -----*/
.datenschutz ,
.impressum {
	font-family: "SUSE";
	color: #fff;
	a {
		color: #fff;
		text-decoration: underline;
		&:hover {
			color: #fff;
			text-decoration: none;
		}
	}
}



label.hamburg { 
   display: block;
   position: relative; 
	background: #214653; 
	width: 40px; 
	height: 40px; 
   margin-left: auto; 
  margin-right: auto;
}

input#menu-trigger {display:none}

.line { 
   position: absolute; 
   left:10px;
   height: 4px; width: 35px; 
   background: #fff; border-radius: 2px;
   display: block; 
   transition: 0.5s; 
   transform-origin: center; 
}

.line:nth-child(1) { top: 10px; }
.line:nth-child(2) { top: 20px; }
.line:nth-child(3) { top: 30px; }

#menu-trigger:checked + .hamburg .line:nth-child(1){
   transform: translateY(10px) rotate(-45deg);
}

#menu-trigger:checked + .hamburg .line:nth-child(2){
   opacity:0;
}

#menu-trigger:checked + .hamburg .line:nth-child(3){
   transform: translateY(-10px) rotate(45deg);
}

/*SUCHE*/
input#search-trigger {
	display: none;
}

.search-icon {
	cursor: pointer;
	display: block;
   	position: relative; 
	background: #214653; 
	width: 40px; 
	height: 40px; 
   	margin-left: auto; 
  	margin-right: auto;
	.circle {
		display: inline-block;
		position: relative;
		height: 25px;
		width: 25px;
		box-sizing: border-box;
		margin: 0px 8px 7px 0px;
		padding: 7px 9px 0px 9px;
		border: 4px solid #fff;
		border-radius: 25px;
		transition: 0.5s; 
	}
	.mag-line {
		content: "";
		position: absolute;
		width: 4px;
		height: 13px;
		right: 13px;
		top: 18px;
		background: #fff;
		border-radius: 3px;
		transition: 0.5s; 
		transform: rotate(-45deg);
	}
}
#search-trigger:checked + .search-icon .mag-line {
   /*transform: translateY(10px) rotate(-45deg);*/
	height: 35px;
	transform: translateY(-18px) rotate(-45deg);
}
#search-trigger:checked + .search-icon .circle{
	border: none;
	margin: 0;
	padding: 0;
	content: "";
	width: 4px;
	background: #fff;
	transform: translateX(23px) rotate(45deg);
	height: 35px;
}